import Pannel from '@/components/pannel/index.vue';
import ScrollTable from '@/components/scroll-table/index.vue';
import { longTermIdleResourceWarning } from '../../../../api/index.js';
import { mapGetters } from 'vuex';
export default {
  components: {
    ScrollTable,
    Pannel
  },
  computed: {
    ...mapGetters(['year', 'deptId'])
  },
  watch: {
    year: {
      handler () {
        this.getData();
      },
      immediate: true, // 立即执行
    },
    deptId: {
      handler () {
        this.getData();
      },
      immediate: true, // 立即执行
    }
  },
  data () {
    return {
      isLoad: false,
      headers: ['部门', '资产名称', '资产类别', '资产原值（元）'],
      data: [
        ['部门', '资产名称', '资产类别', '资产原值（元）']
      ]
    };
  },
  methods: {
    getData () {
      if (this.year, this.deptId) {
        this.isLoad = false;
        longTermIdleResourceWarning(this.deptId, this.year).then(res => {
          let data = res.data.map(item => {
            return [ item.deptName, item.name, item.resourceSort, item.resourceType ]
          })
          this.data = data;
          this.isLoad = true;
        })
      }
    }
  }
};
